Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.PageBasicInfo Class Reference

## Public Member Functions
| PageBasicInfo (float width, float height, int rotation)
| Constructor, with parameters. More...
| PageBasicInfo ()
| Constructor.
| PageBasicInfo (PageBasicInfo page_info)
| Constructor, with another page basic information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
float | getHeight ()
| Get page height (unit is 1/72 inch). More...
int | getRotation ()
| Get page rotation. More...
float | getWidth ()
| Get page width (unit is 1/72 inch). More...
void | set (float width, float height, int rotation)
| Set value. More...
void | setHeight (float value)
| Set page height (unit is 1/72 inch). More...
void | setRotation (int value)
| Set page rotation. More...
void | setWidth (float value)
| Set page width (unit is 1/72 inch). More...

## Detailed Description

This class represents page basic information, such as page width, page height, and page rotation. This is used as the return type of function PDFDoc.getPageBasicInfo .

## Constructor & Destructor Documentation

## ◆ PageBasicInfo() [1/2]

com.foxit.sdk.pdf.PageBasicInfo.PageBasicInfo | ( | float | width,
|  | float | height,
|  | int | rotation
| ) |  |

Constructor, with parameters.

Parameters

  [in] | width | Page width (unit is 1/72 inch).
  [in] | height | Page height (unit is 1/72 inch).
  [in] | rotation | Page rotation. Please refer to values starting from com.foxit.sdk.common.Constants.e_Rotation0 and this should be one of these values except com.foxit.sdk.common.Constants.e_RotationUnknown .

## ◆ PageBasicInfo() [2/2]

com.foxit.sdk.pdf.PageBasicInfo.PageBasicInfo | ( | PageBasicInfo | page_info | ) |

Constructor, with another page basic information object.

Parameters

  [in] | page_info | Another page basic information object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.PageBasicInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getHeight()

com.foxit.sdk.pdf.PageBasicInfo.getHeight | ( |  | ) |

Get page height (unit is 1/72 inch).

Returns
  Page height (unit is 1/72 inch).

## ◆ getRotation()

com.foxit.sdk.pdf.PageBasicInfo.getRotation | ( |  | ) |

Get page rotation.

Returns
  Page rotation. Please refer to values starting from com.foxit.sdk.common.Constants.e_Rotation0 and this should be one of these values.

## ◆ getWidth()

com.foxit.sdk.pdf.PageBasicInfo.getWidth | ( |  | ) |

Get page width (unit is 1/72 inch).

Returns
  Page width (unit is 1/72 inch).

## ◆ set()

void com.foxit.sdk.pdf.PageBasicInfo.set | ( | float | width,
|  | float | height,
|  | int | rotation
| ) |  |

Set value.

Parameters

  [in] | width | Page width (unit is 1/72 inch).
  [in] | height | Page height (unit is 1/72 inch).
  [in] | rotation | Page rotation. Please refer to values starting from com.foxit.sdk.common.Constants.e_Rotation0 and this should be one of these values except com.foxit.sdk.common.Constants.e_RotationUnknown .

Returns
  None.

## ◆ setHeight()

com.foxit.sdk.pdf.PageBasicInfo.setHeight | ( | float | value | ) |

Set page height (unit is 1/72 inch).

Parameters

  [in] | value | Page height (unit is 1/72 inch).

Returns
  None.

## ◆ setRotation()

com.foxit.sdk.pdf.PageBasicInfo.setRotation | ( | int | value | ) |

Set page rotation.

Parameters

  [in] | value | Page rotation. Please refer to values starting from com.foxit.sdk.common.Constants.e_Rotation0 and this should be one of these values.

Returns
  None.

## ◆ setWidth()

com.foxit.sdk.pdf.PageBasicInfo.setWidth | ( | float | value | ) |

Set page width (unit is 1/72 inch).

Parameters

  [in] | value | Page width (unit is 1/72 inch).

Returns
  None.